Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web
Class WebApplication

    java.lang.Object
      org.jboss.web.WebApplication

public class WebApplication
extends Object

A WebApplication represents the information for a war deployment.

Version:
  $Revision: 1.11 $
Author:
  Scott.Stark@jboss.org
See Also:
  `AbstractWebContainer`

Constructor Summary
`WebApplication()` Create an empty WebApplication instance
`WebApplication(String name, URL url, ClassLoader classLoader)` Create a WebApplication instance with with given name, url and class loader.
`WebApplication(WebMetaData metaData)` Create a WebApplication instance with with given web-app metadata.

Method Summary
`Object` | `getAppData()`
`ClassLoader` | `getClassLoader()` Get the class loader of this WebApplication.
`org.jboss.deployment.DeploymentInfo` | `getDeploymentInfo()`
`WebMetaData` | `getMetaData()` Getter for property metaData.
`String` | `getName()` Get the name of this WebApplication.
`URL` | `getURL()` Get the URL from which this WebApplication was deployed
`void` | `setAppData(Object data)`
`void` | `setClassLoader(ClassLoader classLoader)` Set the class loader of this WebApplication.
`void` | `setDeploymentInfo(org.jboss.deployment.DeploymentInfo warInfo)`
`void` | `setMetaData(WebMetaData metaData)` Setter for property metaData.
`void` | `setName(String name)` Set the name of this WebApplication.
`void` | `setURL(URL url)` Set the URL from which this WebApplication was deployed
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebApplication

    public WebApplication()

  Create an empty WebApplication instance

### WebApplication

    public WebApplication(WebMetaData metaData)

  Create a WebApplication instance with with given web-app metadata.

Parameters:
  `metaData` - the web-app metadata containing the web.xml and jboss-web.xml descriptor metadata.

### WebApplication

    public WebApplication(String name,
                          URL url,
                          ClassLoader classLoader)

  Create a WebApplication instance with with given name, url and class loader.

Parameters:
  `name` - name of this application
  `url` - url where this application was deployed from
  `classLoader` - Class loader of this application

Method Detail

### getClassLoader

    public ClassLoader getClassLoader()

  Get the class loader of this WebApplication.

  Returns:
    The ClassLoader instance of the web application

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

  Set the class loader of this WebApplication.

  Parameters:
    `classLoader` - The ClassLoader instance for the web application

### getName

    public String getName()

  Get the name of this WebApplication.

  Returns:
    String name of the web application

### setName

    public void setName(String name)

  Set the name of this WebApplication.

  Parameters:
    `name` - of the web application

### getURL

    public URL getURL()

  Get the URL from which this WebApplication was deployed

  Returns:
    URL where this application was deployed from

### setURL

    public void setURL(URL url)

  Set the URL from which this WebApplication was deployed

  Parameters:
    `url` - URL where this application was deployed from

### getMetaData

    public WebMetaData getMetaData()

  Getter for property metaData.

  Returns:
    Value of property metaData.

### setMetaData

    public void setMetaData(WebMetaData metaData)

  Setter for property metaData.

  Parameters:
    `metaData` - New value of property metaData.

### getAppData

    public Object getAppData()

### setAppData

    public void setAppData(Object data)

### getDeploymentInfo

    public org.jboss.deployment.DeploymentInfo getDeploymentInfo()

### setDeploymentInfo

    public void setDeploymentInfo(org.jboss.deployment.DeploymentInfo warInfo)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.